function onTalk()
	disableMovement()
	local dialogid = ""
	if arguments and type(arguments) == 'string' then
		dialogid = arguments
		say(dialogid)
	end
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
